
package io.atlasmap.json.test;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;


/**
 * BaseOrderList
 * <p>
 * 
 * 
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
    "orders",
    "orderBatchNumber",
    "numberOrders"
})
public class BaseOrderList {

    @JsonProperty("orders")
    private List<BaseOrder> orders = new ArrayList<BaseOrder>();
    @JsonProperty("orderBatchNumber")
    private Integer orderBatchNumber;
    @JsonProperty("numberOrders")
    private Integer numberOrders;
    @JsonIgnore
    private Map<String, Object> additionalProperties = new HashMap<String, Object>();

    @JsonProperty("orders")
    public List<BaseOrder> getOrders() {
        return orders;
    }

    @JsonProperty("orders")
    public void setOrders(List<BaseOrder> orders) {
        this.orders = orders;
    }

    @JsonProperty("orderBatchNumber")
    public Integer getOrderBatchNumber() {
        return orderBatchNumber;
    }

    @JsonProperty("orderBatchNumber")
    public void setOrderBatchNumber(Integer orderBatchNumber) {
        this.orderBatchNumber = orderBatchNumber;
    }

    @JsonProperty("numberOrders")
    public Integer getNumberOrders() {
        return numberOrders;
    }

    @JsonProperty("numberOrders")
    public void setNumberOrders(Integer numberOrders) {
        this.numberOrders = numberOrders;
    }

    @JsonAnyGetter
    public Map<String, Object> getAdditionalProperties() {
        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, Object value) {
        this.additionalProperties.put(name, value);
    }

}
